API RestDatasets
Dernière mise à jour le 20 juillet 2026
Update dataset settings: name, description, tags, columns.
Authorization
JwtAuth AuthorizationBearer <token>
In: header
Path Parameters
dataset_id*Dataset Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08/settings" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "source": "string", "source_status": "string", "sync_status": "string", "tags": [ "string" ], "is_favorite": true, "created_at": "string", "deleted_at": "string", "creator": "string", "has_access": true, "columns": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "string", "description": "string", "is_nullable": true, "is_sensitive": true, "is_primary_key": true, "is_unique": true, "is_identity": true, "is_indexed": true, "default_value": "string" } ], "business_rules": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "status": "string", "version": 0, "created_at": "string" } ], "sync_config": { "sync_mode": "full_refresh", "sync_column": "string", "schedules": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "frequency": "15M", "time": "string", "days_of_week": [ 0 ], "day_of_month": 0, "run_at": "2019-08-24T14:15:22Z", "timezone": "UTC", "is_active": true, "last_triggered_at": "string" } ] }, "access_level": "NO_ACCESS", "patch_report": { "success": true, "message": "string", "errors": [] }}Continuer plus loin